aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/tests.sh
diff options
context:
space:
mode:
authorchriseth <c@ethdev.com>2017-02-08 20:56:23 +0800
committerAlex Beregszaszi <alex@rtfs.hu>2017-02-14 21:48:51 +0800
commiteeaa2bad955a86436a8bfcf8cf33ff9dc5495ca6 (patch)
tree1bdbafe1046b5b7e0f84621165d483618a3873af /scripts/tests.sh
parent91d5515c3335a5e0d502494f2d0a08237e3dd993 (diff)
downloaddexon-solidity-eeaa2bad955a86436a8bfcf8cf33ff9dc5495ca6.tar.gz
dexon-solidity-eeaa2bad955a86436a8bfcf8cf33ff9dc5495ca6.tar.zst
dexon-solidity-eeaa2bad955a86436a8bfcf8cf33ff9dc5495ca6.zip
Kill the right eth process in tests
Diffstat (limited to 'scripts/tests.sh')
-rwxr-xr-xscripts/tests.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/scripts/tests.sh b/scripts/tests.sh
index 88815f5f..d47edd28 100755
--- a/scripts/tests.sh
+++ b/scripts/tests.sh
@@ -52,6 +52,7 @@ fi
# true and continue as normal, either processing further commands in a script
# or returning the cursor focus back to the user in a Linux terminal.
$ETH_PATH --test -d /tmp/test &
+ETH_PID=$!
# Wait until the IPC endpoint is available. That won't be available instantly.
# The node needs to get a little way into its startup sequence before the IPC
@@ -66,7 +67,7 @@ echo "--> Running tests without optimizer..."
echo "--> Running tests WITH optimizer..." && \
"$REPO_ROOT"/build/test/soltest --show-progress -- --optimize --ipcpath /tmp/test/geth.ipc
ERROR_CODE=$?
-pkill eth || true
+pkill "$ETH_PID" || true
sleep 4
-pgrep eth && pkill -9 eth || true
-exit $ERROR_CODE \ No newline at end of file
+pgrep "$ETH_PID" && pkill -9 "$ETH_PID" || true
+exit $ERROR_CODE